apiVersion: v1
kind: Pod
metadata:
    name: pod-dynpv
spec:
    containers:
        - name: web
          image: nginx:alpine
          ports:
              - name: web
                containerPort: 80
          volumeMounts:
              - name: fichiersweb
                mountPath: /usr/share/nginx/html
                readOnly: true   # ne marcherait vraiment qu'à partir de la version 1.30 (https://kubernetes.io/blog/2024/04/23/recursive-read-only-mounts/)
                recursiveReadOnly: Enabled   # nouveau en version 1.30 (valeurs possibles : Enabled, IfPossible ou Disabled). Va de pair avec readOnly: true
    volumes:
        - name: fichiersweb
          persistentVolumeClaim:
              claimName: pvc-mk8s
    nodeName: noeud2
